import { world } from '@minecraft/server'; // Достаточно импортировать только 'world'

// Регистрируем пользовательский компонент для блока при инициализации мира
world.beforeEvents.worldInitialize.subscribe(initEvent => {
    // Регистрируем компонент 'interactive_block_trigger' для блока с префиксом 'myaddon'
    initEvent.blockComponentRegistry.registerCustomComponent('myaddon:interactive_block_trigger', {
        // Определяем, что произойдет при взаимодействии игрока с блоком
        onPlayerInteract: e => {
            // Заставляем игрока, который нажал на блок, выполнить команду-функцию
            e.player.runCommandAsync("playsound block.mebesm_mebesm @p");
        },
    });
});