import { StructureSpawner } from "./structure_summon";

const structureManager = new StructureSpawner();
structureManager.registerStructure({
    pattern: [["", "minecraft:carved_pumpkin", ""], ["mebesm_igg:block_gaze_gloom", "minecraft:iron_block", "mebesm_igg:block_gaze_gloom"], ["", "mebesm_igg:block_gaze_gloom", ""]],
    anchor: { row: 0, col: 1 },
    spawnWeight: [{ "id": "mebesm_igg:iron_golem_gaze_gloom", "weight": 1 }],
    flat: false,
});

structureManager.registerStructure({
    pattern: [["minecraft:carved_pumpkin"], ["minecraft:snow"], ["mebesm_igg:block_gaze_gloom"]],
    anchor: { row: 0, col: 0 },
    spawnWeight: [{ "id": "mebesm_igg:snow_golem_gaze_gloom", "weight": 1 }],
    flat: false,
});

structureManager.registerStructure({
    pattern: [["", "minecraft:carved_pumpkin", ""], ["mebesm_igg:block_gaze_gloom", "mebesm_igg:heart_block", "mebesm_igg:block_gaze_gloom"], ["", "mebesm_igg:catalyst_gaze_gloom", ""]],
    anchor: { row: 0, col: 1 },
    spawnWeight: [{ "id": "mebesm_igg:boss_alas_gaze_gloom", "weight": 1 }],
    flat: false,
});

